<?xml version="1.0"?>
<vbox name="BroadcastView" wnd-property="ConfirmWnd" recalc-size="1">
  <!--HeadTitle -->
  <hbox name="Title" height="28">
    <spacer width="6" />
    <obj  name="PicLogoSmall" height="16" width="16" top="7"
          style="WS_DISABLED"
          bkgrd-image="public\image\rc_logo_small.png"
          bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
          bkgrd-skin="0" />
    <spacer width="2" />    
    <obj class="Static" name="StaticCaption" style="WS_DISABLED | SS_SIMPLE"  font="system-default@12px" font-color-disabled="#AutoFontColor"
			stringid="10053" top="4" width="300" height="22"/>
    <spacer flex="1" />
    <obj class="Button" name="BtnClose" top="4" width="20"  height="20" image="public\image\Button_Close.png@20x20" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0" />
    <spacer width="10" />
  </hbox>

  <vbox name="Body" flex="1">
    <spacer height="20" />
    <hbox name="BroadRange" height="22">
      <obj class="Static" name="StaticRecvCh" stringid="10047" suffix=":"  calc-size="1,0" min-max-size="10,0"  top="4"  left="40"/>

      <group flex="1">
        <hbox name="ButtonArea" hidden="0">
          <obj class="Button" name="CurChannel" style="BS_RADIOBUTTON" stringid="10043" calc-size="1,0" min-max-size="10,0" padding-rect="30,0,0,0"/>
          <obj class="Button" name="AllChannel" style="BS_RADIOBUTTON" stringid="10044" calc-size="1,0" min-max-size="10,0" padding-rect="30,0,0,0"/>
        </hbox>

        <obj class="Static" name="ChannelName" hidden="1" top="4"/>
      </group>
      
    </hbox>
    <spacer height="17" />
    <hbox name="BroadType" height="22" hidden="0" left="">
      <obj class="Static" name="StaticBroadtype" stringid="10048" suffix=":" calc-size="1,0" min-max-size="10,0" top="4" left="40"  />
      <obj class="Button" name="ChatBroad" style="BS_RADIOBUTTON" stringid="10045" width="90"/>
      <obj class="Button" name="AudioBroad" style="BS_RADIOBUTTON" stringid="10046" width="90"/>
    </hbox>
    <spacer height="16" />
    <obj class="Static" name="StaticContend" height="22" calc-size="1,0" min-max-size="10,0" style="SS_LEFT" left="40" top="4" stringid="10049" suffix=":" />
    <hbox name="BroadType" flex="1">
      <spacer width="40" height="1"/>
      <group flex="1" >
        <!--Chat Broadcast -->
        <vbox name="ChatArea" hidden="0">
          <vbox name="ChatEditArea" border="#TextInputBorderColor" flex="1">
            <hbox left="2" top="2" right="-1" bottom="-1"  >
              <obj name="EditMsgInput" flex="1" />
              <obj name="ScrollMsgInput" width="18" iconset="#Scrollbar.vscroll-iconset" hidden="1" />
            </hbox>
          </vbox>
          <spacer height="5" />
          <obj class="Static" name="ChatTip" height="30" stringid="10050" font-color="#SubTitleFontColor" style="SS_LEFTNOWORDWRAP"/>
          <obj class="Static" name="BroadcastErrTip" height="22" hidden="1" stringid="10054" font-color="#NotifyFontColor"/>
        </vbox>



        <!--Audio Broadcast -->
        <vbox name="AudioBroadcast" hidden="1"
              bkgrd-image="public\image\voice_test_bg.png"
              bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
							bkgrd-stretch-zone="4,4,-4,-4" >
          <hbox name="VoiceArea" flex="1" top="10">
            <spacer width="50" />
            <obj name="PicMic" bkgrd-image="public\image\pic_mic.png" top="5"
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
								bkgrd-stretch-zone="1,1,-1,-1" width="32" height="45"
                />
            <spacer width="10" />
            <vbox flex="1">
              <obj class="Slider" name="SliderVoiceVolume" height="15" top="14" width="200"
                               style="WS_DISABLED"
                               slider-iconset="public\image\sliderbar_capture.png@38x15"
                               slider-inner="6,6,6,6"
                               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT | DIF_STRETCH"
                               bkgrd-skin="0" />             
              
              <obj class="Static" name="BroadcastAudioTip" stringid="10051" 
                   height="0" left="5" top="10" font-color="#SubTitleFontColor"/>
              
            </vbox>
          </hbox>
          <hbox height="26">
            <spacer flex="1" />
            <obj class="Button" name="StartAudioBtn" width="108" stringid="10051" />
            <obj class="Button" name="StopAudioBtn" width="108" stringid="10052" hidden="1"/>
            <spacer flex="1" />
          </hbox>

          <spacer height="20" />

        </vbox>
        
        
      </group>
      <spacer width="30" />
    </hbox>
    
  </vbox>

  <spacer height="18" />
  <hbox name="Bottom" height="38">    
    <spacer flex="1"/>
    <obj class="Button" name="ConfirmBtn" stringid="40000" width="76" height="26" top="2"/>
    <spacer width="12"/>
    <obj class="Button" name="CancelBtn" stringid="40001" width="76" height="26" top="2"/>
    <spacer width="12"/>
  </hbox>

</vbox>